# DataExchange
TKVRML
Vrml

# Vrml_DirectionalLight Class Reference

defines a directional light node of VRML specifying
properties of lights.
This node defines a directional light source that illuminates
along rays parallel to a given 3-dimentional vector
Color is written as an RGB triple.
Light intensity must be in the range 0.0 to 1.0, inclusive.

`#include <Vrml_DirectionalLight.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_DirectionalLight ()
Standard_EXPORT | Vrml_DirectionalLight (const Standard_Boolean aOnOff, const Standard_Real aIntensity, const Quantity_Color &aColor, const gp_Vec &aDirection)
Standard_EXPORT void | SetOnOff (const Standard_Boolean aOnOff)
Standard_EXPORT Standard_Boolean | OnOff () const
Standard_EXPORT void | SetIntensity (const Standard_Real aIntensity)
Standard_EXPORT Standard_Real | Intensity () const
Standard_EXPORT void | SetColor (const Quantity_Color &aColor)
Standard_EXPORT Quantity_Color | Color () const
Standard_EXPORT void | SetDirection (const gp_Vec &aDirection)
Standard_EXPORT gp_Vec | Direction () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Standard_Boolean | myOnOff
Standard_Real | myIntensity
Quantity_Color | myColor
gp_Vec | myDirection

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_DirectionalLight::Vrml_DirectionalLight | ( |  | ) |

Standard_EXPORT Vrml_DirectionalLight::Vrml_DirectionalLight | ( | const Standard_Boolean | aOnOff,
|  | const Standard_Real | aIntensity,
|  | const Quantity_Color & | aColor,
|  | const gp_Vec & | aDirection
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_Color Vrml_DirectionalLight::Color | ( |  | ) | const

Standard_EXPORT gp_Vec Vrml_DirectionalLight::Direction | ( |  | ) | const

Standard_EXPORT Standard_Real Vrml_DirectionalLight::Intensity | ( |  | ) | const

Standard_EXPORT Standard_Boolean Vrml_DirectionalLight::OnOff | ( |  | ) | const

void Vrml_DirectionalLight::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_DirectionalLight::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_DirectionalLight::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_DirectionalLight::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_DirectionalLight::SetColor | ( | const Quantity_Color & | aColor | ) |

Standard_EXPORT void Vrml_DirectionalLight::SetDirection | ( | const gp_Vec & | aDirection | ) |

Standard_EXPORT void Vrml_DirectionalLight::SetIntensity | ( | const Standard_Real | aIntensity | ) |

Standard_EXPORT void Vrml_DirectionalLight::SetOnOff | ( | const Standard_Boolean | aOnOff | ) |

## Field Documentation

Quantity_Color Vrml_DirectionalLight::myColor `[private]`

gp_Vec Vrml_DirectionalLight::myDirection `[private]`

Standard_Real Vrml_DirectionalLight::myIntensity `[private]`

Standard_Boolean Vrml_DirectionalLight::myOnOff `[private]`

The documentation for this class was generated from the following file:

- Vrml_DirectionalLight.hxx